pcl::io::ImageRGB24 Class Reference
Module io

This class provides methods to fill a RGB or Grayscale image buffer from underlying RGB24 image. More...

`#include <pcl/io/image_rgb24.h>`

Inheritance diagram for pcl::io::ImageRGB24:

## Public Member Functions

| ImageRGB24 (FrameWrapper::Ptr image_metadata)
| ImageRGB24 (FrameWrapper::Ptr image_metadata, Timestamp timestamp)
virtual | ~ImageRGB24 () throw ()
virtual Encoding | getEncoding () const
| returns the encoding of the native data. More...
virtual void | fillRGB (unsigned width, unsigned height, unsigned char *rgb_buffer, unsigned rgb_line_step=0) const
| fills a user given buffer with the RGB values, with an optional nearest-neighbor down sampling and an optional subregion More...
virtual void | fillGrayscale (unsigned width, unsigned height, unsigned char *gray_buffer, unsigned gray_line_step=0) const
| fills a user given buffer with the gray values, with an optional nearest-neighbor down sampling and an optional subregion More...
virtual bool | isResizingSupported (unsigned input_width, unsigned input_height, unsigned output_width, unsigned output_height) const
Public Member Functions inherited from pcl::io::Image
| Image (FrameWrapper::Ptr image_metadata)
| Image (FrameWrapper::Ptr image_metadata, Timestamp time)
virtual | ~Image ()
| virtual Destructor that never throws an exception. More...
virtual void | fillRaw (unsigned char *rgb_buffer) const
| fills a user given buffer with the raw values. More...
unsigned | getWidth () const
unsigned | getHeight () const
unsigned | getFrameID () const
pcl::uint64_t | getTimestamp () const
Timestamp | getSystemTimestamp () const
const void * | getData ()
int | getDataSize () const
unsigned | getStep () const

## Additional Inherited Members

Public Types inherited from pcl::io::Image
enum | Encoding { BAYER_GRBG, YUV422, RGB }
typedef boost::shared_ptr< Image > | Ptr
typedef boost::shared_ptr< const Image > | ConstPtr
typedef boost::chrono::high_resolution_clock | Clock
typedef boost::chrono::high_resolution_clock::time_point | Timestamp
Protected Attributes inherited from pcl::io::Image
FrameWrapper::Ptr | wrapper_
Timestamp | timestamp_

## Detailed Description

This class provides methods to fill a RGB or Grayscale image buffer from underlying RGB24 image.

Definition at line 54 of file image_rgb24.h.

## Constructor & Destructor Documentation

## ImageRGB24() [1/2]

pcl::io::ImageRGB24::ImageRGB24 | ( | FrameWrapper::Ptr | image_metadata | ) |

## ImageRGB24() [2/2]

pcl::io::ImageRGB24::ImageRGB24 | ( | FrameWrapper::Ptr | image_metadata,
|  | Timestamp | timestamp
| ) |  |

## ~ImageRGB24()

virtual pcl::io::ImageRGB24::~ImageRGB24 | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

## fillGrayscale()

virtual void pcl::io::ImageRGB24::fillGrayscale | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned char * | gray_buffer,
|  | unsigned | gray_line_step = `0`
| ) |  | const

virtual

fills a user given buffer with the gray values, with an optional nearest-neighbor down sampling and an optional subregion

Parameters

  [in] | width | desired width of output image.
  [in] | height | desired height of output image.
  [in,out] | gray_buffer | the output gray buffer.
  [in] | gray_line_step | optional line step in bytes to allow the output in a rectangular subregion of the output buffer.

Implements pcl::io::Image.

## fillRGB()

virtual void pcl::io::ImageRGB24::fillRGB | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned char * | rgb_buffer,
|  | unsigned | rgb_line_step = `0`
| ) |  | const

virtual

fills a user given buffer with the RGB values, with an optional nearest-neighbor down sampling and an optional subregion

Parameters

  [in] | width | desired width of output image.
  [in] | height | desired height of output image.
  [in,out] | rgb_buffer | the output RGB buffer.
  [in] | rgb_line_step | optional line step in bytes to allow the output in a rectangular subregion of the output buffer.

Implements pcl::io::Image.

## getEncoding()

virtual Encoding pcl::io::ImageRGB24::getEncoding | ( |  | ) | const

inline virtual

returns the encoding of the native data.

Returns
  encoding

Implements pcl::io::Image.

Definition at line 63 of file image_rgb24.h.

## isResizingSupported()

virtual bool pcl::io::ImageRGB24::isResizingSupported | ( | unsigned | input_width,
|  | unsigned | input_height,
|  | unsigned | output_width,
|  | unsigned | output_height
| ) |  | const

virtual

Parameters

  [in] | input_width | width of input image
  [in] | input_height | height of input image
  [in] | output_width | width of desired output image
  [in] | output_height | height of desired output image

Returns
  whether the resizing is supported or not.

Implements pcl::io::Image.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/image_rgb24.h